<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class AddForeignKeysToAbServiceMemoTable extends Migration {

	/**
	 * Run the migrations.
	 *
	 * @return void
	 */
	public function up()
	{
		Schema::table('ab_service_memo', function(Blueprint $table)
		{
			$table->foreign('account_id', 'fk_sm_acc')->references('id')->on('ab_account')->onUpdate('NO ACTION')->onDelete('NO ACTION');
			$table->foreign('service_id', 'fk_sm_svc')->references('id')->on('ab_service')->onUpdate('NO ACTION')->onDelete('NO ACTION');
		});
	}


	/**
	 * Reverse the migrations.
	 *
	 * @return void
	 */
	public function down()
	{
		Schema::table('ab_service_memo', function(Blueprint $table)
		{
			$table->dropForeign('fk_sm_acc');
			$table->dropForeign('fk_sm_svc');
		});
	}

}
